#ifndef	QUARK_SEMAPHORE_H
#define	QUARK_SEMAPHORE_H

#include <private/quark/tags.h>

/* the next line is fixed by SED when the file
 * is copied over to public
 */
typedef void			*q_semaphore_t;

#define QSEMAPHORETAG_DUMMY	(0x5000)

/* Sequence: QSEMAPHORETAG_ERROR,u_int32_t*
 * Function: Create
 *           Write the error id if an operation failed for some
 *           reason.
 *
 */

#define QSEMAPHORETAG_ERROR	(QSEMAPHORETAG_DUMMY+0x0)

/* Sequence: QSEMAPHORETAG_NAME,char*
 * Function: Create
 *           Define a public name port
 *
 */

#define QSEMAPHORETAG_NAME	(QSEMAPHORETAG_DUMMY+0x1)

#define	QSEMAPHOREERROR_OK		0
#define	QSEMAPHOREERROR_MEMORY		1
/* public name collision
 */
#define	QSEMAPHOREERROR_NAMECOLLISION	2

#define	QSEMAPHORE_NOTIMPLEMENTED	100

#endif

