#include <exec/types.h>
#include <exec/nodes.h>
#include <exec/lists.h>
#include <exec/memory.h>
#include <exec/resident.h>
#include <exec/libraries.h>
#include <exec/execbase.h>
#include "moduleppc_version.h"

#include <emul/emulinterface.h>
#include <emul/emulregs.h>
#include <ppcinline/exec.h>

#include <public/proto/quark/syscall_protos.h>

void	Module_Init(struct Library	*MyLibBase,
                   BPTR			SegList,
                   struct ExecBase	*SysBase);

struct Resident MyResident=
{
	RTC_MATCHWORD,
	&MyResident,
	&MyResident + 1,
	RTF_PPC | RTF_COLDSTART,
	VERSION,
	NT_UNKNOWN,
	0,
	"moduleppc",
	VSTRING,
	&Module_Init
};


void	Module_Init(struct Library	*MyLibBase,
                    BPTR		SegList,
                    struct ExecBase	*SysBase)
{
  dprintf("ModulePPC: Module Init\n");
}
