#ifndef	PUBLIC_PROTOS_QUARK_STRING_H
#define	PUBLIC_PROTOS_QUARK_STRING_H

#include <public/quark/types.h>

char	*strcat(char		*s1,
                const char	*s2);
char	*strchr(const char	*s,
                int		c);
int	strcmp(const char	*s1,
               const char	*s2);
int	stricmp(const char	*s1,
                const char	*s2);
char	*strcpy(char		*s1,
                const char	*s2);
size_t	strcspn(const char	*s1,
                const char	*s2);
size_t	strlen(const char	*string);
char	*strncat(char		*s1,
                 const char	*s2,
                 size_t		n);
int	strncmp(const char	*s1,
                const char	*s2,
                size_t		n);
int	strnicmp(const char	*s1,
                 const char	*s2,
                 size_t		n);
char	*strncpy(char		*s1,
                 const char	*s2,
                 size_t		n);
char	*strpbrk(const char	*s1,
                 const char	*s2);
char *strrchr(const char	*s,
              int		c);
size_t	strspn(const char	*s1,
               const char	*s2);
char	*strstr(const char	*s1,
                const char	*s2);
char	*strtok(char		*s1,
                const char	*s2);

size_t	stccpy(char		*s1,
               const char	*s2,
               size_t		n);

#endif