#ifndef	QUARK_EXCEPTION_H
#define	QUARK_EXCEPTION_H

#define	EXCEPTIONB_NEWTHREAD	16
#define	EXCEPTIONF_NEWTHREAD	(1<<EXCEPTIONB_NEWTHREAD)

#define	EXCEPTIONB_KERNEL_CPU0	17
#define	EXCEPTIONF_KERNEL_CPU0	(1<<EXCEPTIONB_KERNEL_CPU0)
#define	EXCEPTIONB_KERNEL_CPU1	18
#define	EXCEPTIONF_KERNEL_CPU1	(1<<EXCEPTIONB_KERNEL_CPU1)
#define	EXCEPTIONB_KERNEL_CPU2	19
#define	EXCEPTIONF_KERNEL_CPU2	(1<<EXCEPTIONB_KERNEL_CPU2)
#define	EXCEPTIONB_KERNEL_CPU3	20
#define	EXCEPTIONF_KERNEL_CPU3	(1<<EXCEPTIONB_KERNEL_CPU3)




#define	EXCEPTIONTYPE_PPC_UNKNOWN		0x0
#define	EXCEPTIONTYPE_PPC_RESET			0x1
#define	EXCEPTIONTYPE_PPC_MCP			0x2
#define	EXCEPTIONTYPE_PPC_DATAACCESS		0x3
#define	EXCEPTIONTYPE_PPC_INSTACCESS		0x4
#define	EXCEPTIONTYPE_PPC_EXTint32_t		0x5
#define	EXCEPTIONTYPE_PPC_ALIGN			0x6
#define	EXCEPTIONTYPE_PPC_PROGRAM		0x7
#define	EXCEPTIONTYPE_PPC_FPUDISABLED		0x8
#define	EXCEPTIONTYPE_PPC_DEC			0x9
#define	EXCEPTIONTYPE_PPC_INTERFACE		0xa
#define	EXCEPTIONTYPE_PPC_RESERVED_B		0xb
#define	EXCEPTIONTYPE_PPC_SYSCALL		0xc
#define	EXCEPTIONTYPE_PPC_TRACE			0xd
#define	EXCEPTIONTYPE_PPC_FPUASSIST		0xe
#define	EXCEPTIONTYPE_PPC_PERFORMANCEMONITOR	0xf
#define	EXCEPTIONTYPE_PPC_INST_TRANS_MISS	0x10
#define	EXCEPTIONTYPE_PPC_DATA_LOAD_MISS	0x11
#define	EXCEPTIONTYPE_PPC_DATA_STORE_MISS	0x12
#define	EXCEPTIONTYPE_PPC_IABR			0x13
#define	EXCEPTIONTYPE_PPC_SYSINTERRUPT		0x14
#define	EXCEPTIONTYPE_PPC_VMX			0x16
#define	EXCEPTIONTYPE_PPC_THERMAL		0x17

#define	EXCEPTIONTYPE_ALTIVECUNAVAILBLE		0x30	/* 0xf20 */

#endif

