#ifndef	QUARK_TAGS_H
#define	QUARK_TAGS_H

#include <public/quark/types.h>


typedef u_int32_t q_tag_t;

struct QTagItem
{
	q_tag_t		Tag;
	u_int32_t	Data;
};

#define QTAG_DONE	(0L)
#define QTAG_END	(0L)
#define	QTAG_IGNORE	(1L)
#define	QTAG_MORE	(2L)
#define	QTAG_SKIP	(3L)

#define QTAG_USER   ((u_int32_t)(1L<<31))

#define QTAGFILTER_AND 0		/* exclude everything but filter hits	*/
#define QTAGFILTER_NOT 1		/* exclude only filter hits		*/

#define QMAP_REMOVE_NOT_FOUND 0	/* remove tags that aren't in mapList */
#define QMAP_KEEP_NOT_FOUND   1	/* keep tags that aren't in mapList   */


typedef struct QTagItem	q_tagitem_t;
typedef struct QTagItem	*q_tags_t;

#endif /* QUARK_TAGS_H */
